using System.Xml;
using UnityEditor.Android;

namespace Unity.XR.Pimax.Editor
{
    public class PvrManifest : IPostGenerateGradleAndroidProject
    {
        static readonly string androidURI = "http://schemas.android.com/apk/res/android";

        static readonly string androidManifestPath = "/src/main/AndroidManifest.xml";
        public void OnPostGenerateGradleAndroidProject(string path)
        {
            string name = "com.pimax.vr.application.mode";
            string value = "vr";

            string manifestPath = path + androidManifestPath;
            XmlDocument manifestDoc = new XmlDocument();
            manifestDoc.Load(manifestPath);
            string nodePath = "/manifest/application";
            XmlNodeList NodeList = manifestDoc.SelectNodes(nodePath + "/" + "meta-data");

            foreach (XmlElement node in NodeList)
            {
                XmlAttributeCollection attributeList = node.Attributes;

                foreach (XmlAttribute attribute in attributeList)
                {
                    if (attribute.Value == name)
                    {
                        XmlAttribute SecondAttribute = attributeList["value", androidURI];
                        if (SecondAttribute != null)
                        {
                            SecondAttribute.Value = value;
                        }
                        else
                        {
                            node.SetAttribute("value", androidURI, value);
                        }
                        return;
                    }
                }
            }

            XmlElement Element = manifestDoc.CreateElement("meta-data");
            Element.SetAttribute("name", androidURI, name);
            Element.SetAttribute("value", androidURI, value);

            var xmlParentNode = manifestDoc.SelectSingleNode(nodePath);

            if (xmlParentNode != null)
            {
                xmlParentNode.AppendChild(Element);
            }


            manifestDoc.Save(manifestPath);
        }

        public int callbackOrder { get { return 10000; } }
    }
}