using System.Collections.Generic;
using UnityEditor;
using UnityEditor.XR.Management.Metadata;
using UnityEngine;

namespace Unity.XR.Pimax.Editor
{
    internal class PvrMetadata : IXRPackage
    {
        private class PvrPackageMetadata : IXRPackageMetadata
        {
            public string packageName => "Pimax XR Plugin";
            public string packageId => "com.unity.xr.pimax";
            public string settingsType => "Unity.XR.Pimax.PvrSettings";
            public List<IXRLoaderMetadata> loaderMetadata => lLoaderMetadata;

            private static readonly List<IXRLoaderMetadata> lLoaderMetadata = new List<IXRLoaderMetadata>() { new PvrLoaderMetadata() };
        }

        private class PvrLoaderMetadata : IXRLoaderMetadata
        {
            public string loaderName => "PimaxXR";
            public string loaderType => "Unity.XR.Pimax.PvrLoader";
            public List<BuildTargetGroup> supportedBuildTargets => SupportedBuildTargets;

            private static readonly List<BuildTargetGroup> SupportedBuildTargets = new List<BuildTargetGroup>()
            {
                BuildTargetGroup.Android,
            };
        }

        private static IXRPackageMetadata Metadata = new PvrPackageMetadata();
        public IXRPackageMetadata metadata => Metadata;

        public bool PopulateNewSettingsInstance(ScriptableObject obj)
        {
            var settings = obj as PvrSettings;
            if (settings != null)
            {
                settings.stereoRenderingMode = PvrSettings.StereoRenderingMode.MultiPass;

                return true;
            }
            return false;
        }
    }
}

