using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.XR;
using Unity.XR.Pimax;

public class PvrControllerModelManager : MonoBehaviour
{
    public GameObject crystal;
    public GameObject fuji;
    public GameObject h0;
    public PvrController controller;

    //Unity Event
    private void Start()
    {
        UpdateControllerModel();
    }
    private void OnEnable()
    {
        InputTracking.nodeAdded += OnNodeChange;
        InputTracking.nodeRemoved += OnNodeChange;
        InputTracking.trackingAcquired += OnNodeChange;
        InputTracking.trackingLost += OnNodeChange;
    }

    private void OnDisable()
    {
        InputTracking.nodeAdded -= OnNodeChange;
        InputTracking.nodeRemoved -= OnNodeChange;
        InputTracking.trackingAcquired -= OnNodeChange;
        InputTracking.trackingLost -= OnNodeChange;
    }
    void OnNodeChange(XRNodeState NodeState)
    {
        UpdateControllerModel();
    }

    //
    private void UpdateControllerModel()
    {
        try
        {
            PvrControllerType controllerType = PvrInput.GetControllerDeviceType(controller);
            Debug.Log("huey: " + controllerType);

            crystal.SetActive(false);
            fuji.SetActive(false);
            h0.SetActive(false);
            switch (controllerType)
            {
                case PvrControllerType.H1:
                    crystal.SetActive(true);
                    break;
                case PvrControllerType.H0:
                    h0.SetActive(true);
                    break;
                case PvrControllerType.F1C:
                    fuji.SetActive(true);
                    break;
                default:
                    break;
            }
        }
        catch (System.Exception)
        {

        }

    }
}
