using System.Collections;
using System.Collections.Generic;
using UnityEngine;

namespace Unity.XR.Pimax
{
    public enum FoveationLevel
    {
        Error = -1,
        None,
        Low,
        Med,
        High,
        TopHigh
    }

    public class PvrFoveationRendering
    {

        /// <summary>
        /// Set the foveation rendering level.
        /// </summary>
        /// <param name="level">The foveation rendering level.</param>
        public static void SetFoveationLevel(FoveationLevel level)
        {
            PvrPlugin.pvr_SetPropertyInt(pxrPropertyType.PXRAPI_FOVEATION_LEVEL, (int)level);
        }

        /// <summary>
        /// Gets the current foveation rendering level.
        /// </summary>
        /// <returns>the current foveation rendering level.</returns>
        public static FoveationLevel GetFoveationLevel()
        {
            int level = -1;
            PvrPlugin.pvr_GetPropertyInt(pxrPropertyType.PXRAPI_FOVEATION_LEVEL, ref level);
            return (FoveationLevel)level;
        }

        /// <summary>
        /// Set current foveation rendering parameters
        /// </summary>
        /// <param name="foveationGainX"></param>
        /// <param name="foveationGainY"></param>
        /// <param name="foveationArea"></param>
        /// <param name="foveationMinimum"></param>
        public static void SetFoveationParameters(float foveationGainX, float foveationGainY, float foveationArea, float foveationMinimum)
        {

        }
    }
}
