using System.Collections;
using System.Collections.Generic;
using System;
using UnityEngine;
using UnityEngine.XR.Management;

namespace Unity.XR.Pimax
{
    [Serializable]
    [XRConfigurationData("PimaxXR", "Unity.XR.Pimax.Settings")]
    public class PvrSettings : ScriptableObject
    {
        public enum StereoRenderingMode
        {
            MultiPass,
            Multiview
        }

        [SerializeField, Tooltip("Set the Stereo Rendering Method")]
        public StereoRenderingMode stereoRenderingMode;

        [SerializeField, Tooltip("Set the Stereo Rendering Method")]
        public bool protectedContext;

        [SerializeField, Tooltip("Set the Stereo Rendering Method")]
        public bool eyeTracking;

#if UNITY_ANDROID
        public static PvrSettings instance;
		public void Awake()
		{
            instance = this;
		}
#endif
    }
}

